Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class Request

    java.lang.Object
      com.skype.ipc.Request

Direct Known Subclasses:
  GetPropertyRequest, MultiGetPropertyRequest, XCallRequest

    public class Request

extends java.lang.Object

Field Summary
`protected int` | `oid`

Constructor Summary
`Request()`

Method Summary
`void` | `addListStart(int tag)`
`void` | `addParm(int kind, boolean val)`
`void` | `addParm(int kind, byte[] val)`
`void` | `addParm(int kind, int val)`
`void` | `addParm(int kind, int tag, boolean val)`
`void` | `addParm(int kind, int tag, byte[] val)`
`void` | `addParm(int kind, int tag, int val)`
`void` | `addParm(int kind, int tag, java.lang.Number val)`
`void` | `addParm(int kind, int tag, java.lang.String val)`
`void` | `addParm(int kind, java.lang.Number val)`
`void` | `addParm(int kind, java.lang.String val)`
`byte[]` | `send()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oid

    protected int oid

Constructor Detail

### Request

    public Request()

Method Detail

### send

    public byte[] send()

### addParm

    public void addParm(int kind,
                        int tag,
                        java.lang.String val)

### addParm

    public void addParm(int kind,
                        int tag,
                        byte[] val)

### addParm

    public void addParm(int kind,
                        int tag,
                        java.lang.Number val)

### addParm

    public void addParm(int kind,
                        int tag,
                        int val)

### addParm

    public void addParm(int kind,
                        int tag,
                        boolean val)

### addListStart

    public void addListStart(int tag)

### addParm

    public void addParm(int kind,
                        java.lang.String val)

### addParm

    public void addParm(int kind,
                        byte[] val)

### addParm

    public void addParm(int kind,
                        java.lang.Number val)

### addParm

    public void addParm(int kind,
                        int val)

### addParm

    public void addParm(int kind,
                        boolean val)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.